# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Inspector.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(Getopt/Long.pm) perl(HTML/Template.pm) perl(Module/Build/Tiny.pm) perl(Pod/Usage.pm) perl(Sub/Information.pm) perl(Test/Most.pm) perl(autodie.pm) perl(Sub/Identify.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Test-Skeleton-Generator
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Create a skeleton for a test file based on an existing module
Group: Development/Perl
License: perl
URL: https://github.com//mannih/Test-Skeleton-Generator

Source0: http://cpan.org.ua/authors/id/M/MA/MANNI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Test::Skeleton::Generator is supposed to be used from within your editor to quickly
generate skeletons/stubs for a test file that is will test the module you are
currently working on.

So suppose you are working on the file `./lib/Foo/Bar.pm' which hasn't got any tests
yet. Now you simply press a keyboard shortcut or click an icon (if you really have to)
and your editor will simply call perl like in the SYNOPSIS above to generate a .t file
in your ./t/ directory. You don't have to write the boiler-plate code yourself.

Basically, there are two ways to use this module:

The simplest way to use this module is from the command line. Simply use the distributed
script `generate_perl_test_skeleton'. See its documentation for more details.

But if you find it useful, you can also use it from another script or module which
will give you more option and lets you handle the content of the future test file yourself.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Jan 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

